/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/encryption/StreamCipher.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.encryption;

import java.io.InputStream;
import java.io.OutputStream;

/**
 * Interface for getting Stream ciphers from a cipher object
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface StreamCipher {
    /**
     * Create an input stream filter on the supplied plaintext input.
     * @param encrypted
     * @return Decrypted input stream
     */
    InputStream decrypt(InputStream encrypted);
    
    /**
     * Create an output stream filter on the supplied stream.
     * @param plaintext
     * @return Encrypted output stream
     */
    OutputStream encrypt(OutputStream plaintext);
}
