/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/DefaultTaskInstanceFactory.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

import com.netapp.common.util.StringUtils;
import com.netapp.common.util.fault.FaultInjectionManager;

class DefaultTaskInstanceFactory implements TaskInstanceFactory {

    public Task newTaskInstance(Class<? extends Task> taskClass, OperationContext operationContext) throws InstantiationException, IllegalAccessException {
        final String keyPrefix = "flow.task.";

        Task taskObj = null;
        if (FaultInjectionManager.isActive()) {
            // 2 is the maximum size. replaceClass will ignore the null in the second
            // field if we don't set it.
            String[] keys = new String[2];
            int index = 0;
            if (!StringUtils.isEmpty(operationContext.getClientRequestId())) {
                keys[index++] = keyPrefix + operationContext.getClientRequestId();
            }
            keys[index++] = keyPrefix + operationContext.getOperationTemplate().getName();
            taskObj = FaultInjectionManager.getInstance().createObject(taskClass, keys);
        }
        return (taskObj != null) ? taskObj : taskClass.newInstance();
    }

}
