/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/OperationInformation.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

import java.lang.reflect.Type;
import java.util.HashMap;
import java.util.Map;

/**
 * Structure defining the external interface of a registered operation.
 * 
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public class OperationInformation {
    private String name;
    private Map<String, Type> inputs = new HashMap<String, Type>();
    private Map<String, Type> outputs = new HashMap<String, Type>();
    
    /** 
     * Construct a new Information structure for the specified operation
     * @param name Operation name
     * @see Engine#operationStart(String, Map)
     */
    OperationInformation() {
    }
    
    public void setName(String name) {
        this.name = name;
    }
    /**
     * Get the name of this operation.
     * @return Operation name
     * @see Engine#operationStart(String, Map)
     */
    public String getName() {
        return this.name;
    }
    
    /**
     * Get a list of the inputs for this operation.
     * @return Map of input names and types
     */
    public Map<String, Type> getInputs() {
        return this.inputs;
    }
    
    /**
     * Get a list of the outputs for this operation.
     * 
     * @return Map of output names and types
     */
    public Map<String, Type> getOutputs() {
        return this.outputs;
    }
}
