/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/StackFrame.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

/**
 * Represents a stack frame during execution. A frame contains an exported
 * set of register variables.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface StackFrame {
    
    /**
     * Retrieve the root operation context.
     * @return operation context
     */
    OperationContext getContext();
    
    /**
     * Get the value stored in register 'name' from this
     * frame or any enclosing frames.
     * @return Register value
     */
    Object getRegisterValue(String name);

    /**
     * Set the value of a register
     * @param name Register name
     * @param obj new value
     */
    void setRegisterValue(String name, Object obj);

}
