/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/TaskOutput.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Documentation annotation indicating a Task output
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Target({ElementType.FIELD, ElementType.METHOD})
@Documented
@Retention(RetentionPolicy.RUNTIME)
public @interface TaskOutput {
    
    /**
     * True if downcasting is allowed in order to stuff the output parameter into a register.
     * 
     * For example, say you have an output parameter whose getter returns Object, and a 
     * register whose type is String.  Under normal circumstances the workflow engine
     * will enforce type safety and complain that the getter must return String in
     * order to stuff it into the register.  If you want the workflow engine to attempt
     * to downcast the output to the register type, set downcastAllowed = true. 
     */
    boolean downcastable() default false;
}
