/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/flow/soap/ResultDelegate.java#1 $
 * 
 * Copyright (c) 2008 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.flow.soap;

import com.netapp.common.flow.Engine;
import com.netapp.common.flow.Result;

/**
 * Delegate for retrieving a base operation result from an engine.
 * This is useful if the user wants to wedge in a blocking
 * mechanism or SOAP continuation mechanism.
 * 
 * @see com.netapp.common.flow.soap.OperationServiceImpl#setResultDelegate
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public interface ResultDelegate {
    /**
     * Retrieve the result for the requested id from the supplied engine.
     * Callers may override this to change the behavior of OperationServiceImpl,
     * for example to block returning until the operation is completed.
     * @param engine
     * @param id
     * @return operation result for the supplied id
     */
    Result getResult(Engine engine, String id);
}
