/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/linux/SuseRawDevicesFile.java#1 $
 * 
 * Copyright (c) 2006 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.platform.linux;

import java.io.File;
import java.util.regex.Matcher;
import java.util.regex.Pattern;

import com.netapp.common.platform.RawDeviceMapping;

public class SuseRawDevicesFile extends RawDevicesFile {

    private static final File SUSE_RAW_DEVICES_FILE = new File("/etc/raw");
    
    /**
     * Matches "raw5:sdb1" and creates a group for the raw device and disk 
     */
    private static final Pattern RAW_DEVICE_ENTRY_PATTERN = Pattern.compile("\\s*(raw\\d+):(\\S+).*");
    
    @Override
    protected File getFile() {
        return SUSE_RAW_DEVICES_FILE;
    }

    @Override
    protected RawDeviceMapping mappingFromEntry(String entry) {
        Matcher matcher = RAW_DEVICE_ENTRY_PATTERN.matcher(entry);
        if (matcher.matches()) {
            return new RawDeviceMapping(new File("/dev/raw/" + matcher.group(1)), new File("/dev/" + matcher.group(2)));
        }
        else {
            return null;
        }
    }

    @Override
    protected String mappingToEntry(RawDeviceMapping mapping) {
        String rawDevice = mapping.getRawDevice().getAbsolutePath();
        String disk = mapping.getDisk().getAbsolutePath();
        return String.format("%s:%s", rawDevice.substring("/dev/raw/".length()), disk.substring("/dev/".length()));
    }

}
