/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/platform/windows/WMIMethod.java#1 $
 *
 * Copyright (c) 2008 NetApp, Inc.
 * All rights reserved. 
 */
package com.netapp.common.platform.windows;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation for WMI methods in returned WMI proxy objects.
 * Methods annotated with this will invoke the underlying WMI method
 * named in {@link #value} on the containing object. Method inputs
 * must be marked with {@link WMIParameter}.
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
@Documented
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface WMIMethod {
    String value();
}
