/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/annotation/StatusEnum.java#1 $
 * 
 * Copyright (c) 2007 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.annotation;



/**
 * Document the support status of this Zephyr api for external users.
 * 
 * @see Status
 * @see Api
 * @author sunday
 * @version $Revision: #1 $ $Date: 2010/08/20 $
 */
public enum StatusEnum {
    /** This zapi is for debug use only */
    DEBUG("debug"),
    /** This zapi is for internal netapp use only */
    INTERNAL("internal"),
    /** This zapi is proposed for a future product release */
    PROPOSED("proposed"),
    /** This zapi is publicly documented and supported for external use */
    PUBLIC("supported"),
    /** This zapi is not supported for external use */
    UNSUPPORTED("unsupported");
    
    private final String value;

    private StatusEnum(String value) {
        this.value = value;
    }
    
    public String getValue() {
        return this.value;
    }
    
    public static StatusEnum parse(String statusString) {
        statusString = statusString.trim().toUpperCase();
        if (statusString.equals("SUPPORTED")) {
            statusString = "PUBLIC";
        }
        return StatusEnum.valueOf(statusString);
        
    }
}
