/*
 * $Id: //depot/prod/newport_news/Radamant.1/src/java/com/netapp/common/zapi/parser/SimpleType.java#1 $
 * 
 * Copyright (c) 2009 Network Appliance, Inc.
 * All rights reserved.
 */
package com.netapp.common.zapi.parser;

import java.util.HashMap;
import java.util.Map;
import java.util.Queue;

public class SimpleType extends Type {
    
    /**
     * List of base ZAPI types.
     * Types that aren't in this list need to be resolved to a Typedef
     */
    public static final Map<String, SimpleType> SIMPLE_TYPES;
    
    static {
        SIMPLE_TYPES = new HashMap<String, SimpleType>();
        SIMPLE_TYPES.put("string", new SimpleType("string"));
        SIMPLE_TYPES.put("boolean", new SimpleType("boolean"));
        SIMPLE_TYPES.put("integer", new SimpleType("integer"));
        
        // DFM
        SIMPLE_TYPES.put("bool", new SimpleType("bool"));
        
        // TODO: FIX - A typedef of empty needs a container for attributes
        SIMPLE_TYPES.put("empty", new SimpleType("empty"));
    }
    
    private SimpleType(String name) {
        super(null, name);
    }
    
    @Override
    public boolean isSimple() {
        return true;
    }

    @Override
    void populate(Queue<Tag> q) {

    }

}
